Bug Hunting Session
Bug 90991 - style dialog or sidebar adds undo entries creating/deleting styles
Summary: style dialog or sidebar adds undo entries creating/deleting styles
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:5.1.0 target:5.0.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-05-01 14:05 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:19 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (237.39 KB, image/png)
2015-05-01 14:05 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-05-01 14:05:12 UTC
Created attachment 115237 [details]
screenshot

Steps:
1) Open Writer
2) Insert an image
3) Deselect the image
4) Open the 'Styles and Formatting' sidebar tab
5) Click on 'List Styles' button
6) Open the Undo drop down arrow in the toolbar to see the list of undos

Regression as this doesnt happen in 4.4 daily.

Version: 5.0.0.0.alpha1+
Build ID: ec7f227f90fbdd0bd17c0b885a832e6408106deb
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-04-28_12:54:35
Comment 1 Buovjaga 2015-05-01 18:03:48 UTC
Repro on Linux, but not on Windows.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f0edb677f09ad338e22ac3b5d91497b4479e0b3c
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-27_01:54:20
Locale: fi_FI

Ubuntu 15.04 64-bit 
Version: 5.0.0.0.alpha1+
Build ID: daa28969374f628a8cb265fcb28a73daabcb7236
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-04-25_00:48:25
Locale: en_US
Comment 2 Jorendc 2015-05-04 18:04:36 UTC
http://cgit.freedesktop.org/libreoffice/core/commit/?id=39f306df1d5f8daa4747f1e3b26e853c001669f5 looks very related to this issue to me.

@Caolan: any thoughts?
Comment 3 Matthew Francis 2015-05-09 02:51:14 UTC
In fact it appears to me that this began at the below commit.
Adding Cc: to quikee@gmail.com; Could you possibly take a look at this one? Thanks

commit ca95307638207db5d662059aa61594151a13e927
Author: Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
Date:   Mon Apr 20 20:41:20 2015 +0900

    preview of styles in "Style And Formatting" dialog
    
    Change-Id: Ic10025f8b27c87ae40f62cb04653cc8e6abc7fc1
Comment 4 Matthew Francis 2015-05-09 02:52:13 UTC
(It isn't necessary to insert an image to reproduce this, just type a single letter or do anything else which will leave an undo action)
Comment 5 Thomas Hackert 2015-07-13 07:48:31 UTC
Hello Matthew, *
(In reply to Matthew Francis from comment #4)
> (It isn't necessary to insert an image to reproduce this, just type a single
> letter or do anything else which will leave an undo action)

I can confirm both: entering an image as well as just inserting a letter, and switching to "List styles" will flood the undo action ... :(
Discovered on
OS: Debian Testing AMD64
LO: Version: 5.0.0.3
Build ID: f79b5ba13f5e6cbad23f8038060e556217e66632
Locale: de-DE (de_DE.UTF-8)
(parallel installed, following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel/Linux) with Germanophone lang- as well as helppack.

HTH
Thomas.
Comment 6 Michael Stahl (CIB) 2015-09-07 14:55:12 UTC
fixed on master
Comment 7 Commit Notification 2015-09-07 14:55:40 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=779b547ca6271156a59965569fa44fbeb3f63ce5

tdf#90991: sw: fix style preview creating undo objects

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Yousuf Philips (jay) (retired) 2015-09-08 00:49:54 UTC
Hi Michael,

This is still broken in 5.0, so can you cherry-pick it?
Comment 9 Yousuf Philips (jay) (retired) 2015-09-08 00:51:43 UTC
(In reply to Yousuf (Jay) Philips from comment #8)
> Hi Michael,
> 
> This is still broken in 5.0, so can you cherry-pick it?

Sorry my mistake, i didnt check gerrit first. :D
Comment 10 Commit Notification 2015-09-08 07:52:32 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1805b7549cd240009bf67eba3a030e19b4f6f046&h=libreoffice-5-0

tdf#90991: sw: fix style preview creating undo objects

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Robinson Tryon (qubit) 2015-12-17 09:00:22 UTC Comment hidden (obsolete)